Subject: [bess] Questions on draft-sajassi-bess-evpn-ip-aliasing-03

From: <[email-masked]>
Date: Tue, 9 Nov 2021 16:05:43 +0800 (CST)

Hi Jorge,

I read the draft, and have the following questions:

1) on section 1.2 Inter-subnet Forwarding for Prefix Routes in the Interface-less	IP-VRF-to-IP-VRF Model

    The RT-1 per EVI route of ESI1 in Figure 2 is not an IP A-D per EVI route, but a normal Ethernet A-D per EVI route,

    in other words, its MPLS label identifies a BD, not an IP-VRF.

    is my understanding correct?

    In RFC9136 Interface-less IP-VRF-to-IP-VRF Model, 

    the inter-subnet-forwarding from H3 to H1 will pass through PE1/PE2's IP-VRF instance via the MPLS label of the IP-VRF's instance,

    but in the RFC9316 Bump-in-the-wire instance, 

    the inter-subnet-forwarding from H3 to H1 will not pass through PE1/PE2's IP-VRF instance because of the RT-1 per EVI route's MPLS Label's L2 context.

    But this section refers to both the above two use cases of RFC9136,

    So which behavior will be followed by this use case?

2) On section 5.3 Constructing the EVPN IP Routes

     Is the RT-5 construction of the second use case (section 1.2) the same as the third use case (section 1.3) ?

     I mainly concerns the Route Targets and the Ethernet Tag ID of the RT-5 routes.

     especailly when the BD (to which the ESI of section 1.2 is attched) is of VLAN-aware service interface.

3) On section 5.3.1 Route Resolution

    Is the Route Resolution of the second use case (section 1.2) the same as the third use case (section 1.3) ?

    Will the route resolution of the second use case(section 1.2) need a BD and an IRB interface on PE3?

    I note that in RFC9136 section 4.3 Bump-in-the-wire use case, 

   the RT-1 per EVI route is advertised in a normal BD. It says that:

   (1)  Assuming TS2 is the active TS in ESI23, NVE2 advertises the

        following BGP routes:

        *  Route type 1 (Ethernet A-D route for BD-10) containing: ESI =

           ESI23 and the corresponding tunnel information (VNI field),

           as well as the BGP Encapsulation Extended Community as per

           [RFC8365].

        *  Route type 5 (IP Prefix route) containing: IPL = 24, IP =

           SN1, ESI = ESI23, and GW IP address = 0.  The EVPN Router's

           MAC Extended Community defined in [RFC9135] is added and

           carries the MAC address (M2) associated with the TS behind

           which SN1 sits.  M2 may be learned by policy; however, the

           MAC in the Extended Community is preferred if sent with the

           route.

    This RT-1 per EVI route will not just be used by the RT-5 routes for IP forwarding, 

    it will also be used by the MAC forwarding of BD-10.

    When it is used in IP forwarding and MAC forwarding, it will be the same route.

    If this is correct, it will need a BD on PE3 to be resolved to.

Thanks,

Yubao

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 9 Nov 2021 11:14:26 +0000

Hi Yubao,

Please see in-line.
Thanks.
Jorge

From: [email-masked] <[email-masked]>
Date: Tuesday, November 9, 2021 at 9:06 AM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Questions on draft-sajassi-bess-evpn-ip-aliasing-03

Hi Jorge,

[jorge] not really, it is an IP A-D per EVI route as explained in section 3.

[jorge] see above, the IP A-D per EVI route includes the route-target and label of the IP-VRF as explained in section 3.

[jorge] the IP Prefix routes and MAC/IP advertisement routes are constructed as per section 5.3, hence the IP Prefix routes ethernet tag id is 0. This document does not change the use of the Ethernet Tag ID.

        following BGP routes:

           [RFC8365].

           route.

[jorge] the resolution is the same for the three cases, based on section 5.3.1. It happens in the context of the IP-VRF, but now considering the IP A-D routes (which carry the IP-VRF route-target). For use-cases 2 and 3, this is applicable to the interface-less and even interface-ful unnumbered IP-VRF-to-IP-VRF model (we can clarify this in future versions).

Thanks,

Yubao

---

From: <[email-masked]>
Date: Wed, 10 Nov 2021 10:55:05 +0800 (CST)

Hi Jorge,

please see in-line with [Yubao2]

原始邮件

发件人：Rabadan,Jorge(Nokia-US/MountainView)
收件人：王玉保10045807;
抄送人：[email-masked];
日 期 ：2021年11月09日 20:23
主 题 ：Re: Questions on draft-sajassi-bess-evpn-ip-aliasing-03

Hi Yubao,

Please see in-line.

Thanks.

Jorge

 

Hi Jorge,

 

 

 

[Yubao2] I get your meanings now, I mistake the RT-1 per EVI route of use case b (section 1.2) as a Ethernet A-D per EVI route because of the following text:

   In the Interface-less IP-VRF-to-IP-VRF model described in

   [I-D.ietf-bess-evpn-prefix-advertisement] there is no Overlay Index

   and hence no recursive resolution of the IP Prefix route to either a

   MAC/IP Advertisement or an Ethernet A-D per ES/EVI route, which means

   that the fast convergence and aliasing/backup path functions are

   disabled.  Although the use-case is different, in a sense the

   recursive resolution of an IP Prefix route to an Ethernet A-D per ES/

   EVI route is already described in section 4.3 of

   [I-D.ietf-bess-evpn-prefix-advertisement], Bump-in-the-Wire Use-Case,

   but that section does not describe aliasing.

[Yubao2] These two concepts Ethernet A-D per ES/EVI route and IP A-D per ES/EVI route in this draft may be confusing.

                To me an ethernet A-D per EVI route means that its route-target identifies a MAC-VRF as per [RFC7432].

                an IP A-D per EVI route means that its route-target identifies a IP-VRF as per this draft.

                When they will be used by a RT-5 route with an ESI overlay index,

                they will be different in route advertisement, recursive resolution and forwarding behavior too.

                But in the above text of draft-sajassi-bess-evpn-ip-aliasing-03, it seems that the route advertisement, recursive resolution and forwarding 

                behavior in the draft is just the same as RFC9136 secion 4.3 Bump-in-the-wire use case.

                I think it will be confusing. The most obvious difference between these two use case is that,

                The  inter-subnet forwarding from H3 to H1 will use a MPLS label which identifies a MAC-VRF according to Bump-in-the-wire use case,

                But in this draft it is not the same behavior. This difference will lead to other differences on route advertisement and recursive resolution too.

 

[Yubao2] As I explained above, if they are the same, 

         is the RT-5 construction of the use case c (section 1.3) the same as RFC9136 Bump-in-the-wire use case?

 

 

        following BGP routes:

           [RFC8365].

           route.

[Yubao2] In RFC9136 Interface-ful unnumbered IP-VRF-to-IP-VRF model, 

         The MPLS payload is encapsulated as ethernet packet:

   (3)  When DGW1 receives a packet from the WAN with destination IPx,

        where IPx belongs to SN1/24:

        *  A destination IP lookup is performed on the DGW1 IP-VRF

           table.  The lookup yields SN1/24, which is associated with

           the Overlay Index M1.  The forwarding information is derived

           from the RT-2 received for M1.

        *  The IP packet destined to IPx is encapsulated with: inner

           source MAC = M3, inner destination MAC = M1, outer source IP

           (source VTEP) = DGW1 IP, and outer destination IP

           (destination VTEP) = NVE1 IP.

[Yubao2] An IP A-D per EVI route whose MPLS label identifies an IP-VRF can't be use in such encapsulation.

           I try to understand their differences as the following, can you tell me whether it is consistent with draft-sajassi-bess-evpn-ip-aliasing-03?

           The Ethernet A-D per EVI route: Route-Target = MAC-VRF, as per [RFC7432], [RFC9136] and [EVPN inter-subnet forwarding]

           The IP A-D per EVI route: Route-Target = IP-VRF, as per draft-sajassi-bess-evpn-ip-aliasing-03

           And here are two variations which are not described in draft-sajassi-bess-evpn-ip-aliasing-03:

           The Ethernet A-D per EVI route with an IP-VRF label:  it is advertised in the context of a MAC-VRF but carries an IP-VRF label

      The IP A-D per EVI route with a MAC-VRF label: it is advertised in the context of an IP-VRF but carries a MAC-VRF label     

If you want to use a SBD with a unnumbered IRB interface,

The Ethernet A-D per EVI route with an IP-VRF label may help,

But the recursive route resolution for ESI overlay index will be done in the context of the SBD, 

which is not the same as your current design, but like the distributed bump-in-the-wire use case,

but this will have little relations with the RFC9136 Interface-ful unnumbered IP-VRF-to-IP-VRF model,

becaus of their different MPLS payload formats.

Although this is not consistent with the route resolution design of draft-sajassi-bess-evpn-ip-aliasing-03,

this solution may be easier to be deployed than an ethernet-format MPLS-payload solution or the IP A-D per EVI route with a MAC-VRF label solution .

I think it will be better if the difference between new IP A-D per EVI route and old Ethernet A-D per EVI route can be cearlified in this draft. 

Thanks,

Yubao

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thu, 11 Nov 2021 19:42:57 +0000

Hi Yubao,

Please see my comments with [jorge2].

Thx
Jorge

From: [email-masked] <[email-masked]>
Date: Wednesday, November 10, 2021 at 3:55 AM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re:Questions on draft-sajassi-bess-evpn-ip-aliasing-03

Hi Jorge,

原始邮件

Please see in-line.
Thanks.
Jorge

Hi Jorge,

[jorge2] note that the above text is describing the use-cases. The concept of the IP A-D per ES/EVI route is defined later in section 3.

[jorge] we can clarify further, but an IP A-D per EVI route uses a label that identifies the IP-VRF, which is what is required in the symmetric IRB and interface-less scenarios that this draft builds upon. Section 3 explains how the IP A-D per EVI route is built.

[jorge2] case 1 and case 2 build upon the IP-VRF-to-IP-VRF models in RFC9136 as described in the use-cases.

        following BGP routes:

           [RFC8365].

           route.

[jorge2] I don’t understand what your question is. RFC9136 may use ethernet or IP NVO.

[jorge] I’m afraid that is not correct. It can be used, in the same way that an RT5 whose label identifies an IP-VRF can use an ethernet or IP NVO encap. Check out section 3.1 please.

[jorge2] the IP Aliasing solution supports ethernet and ip NVO tunnels. At the moment use-case 2 and 3 are based on the Interface-less model as discussed. If there is interest we can add the Interface-ful unnumbered model, given that in that model the RT5 can carry a non-zero ESI and a MAC ext community, and yet the ESI is selected as Overlay index for the recursive resolution.

[jorge2] as discussed, the IP A-D per EVI route is described in section 3. Can you go through section 3 and let me know what needs to be clarified please?

Thanks,

Yubao

---

From: <[email-masked]>
Date: Fri, 12 Nov 2021 14:16:23 +0800 (CST)

Hi Jorge,

Please see my comments with [Yubao3].

Thanks

Yubao

原始邮件

发件人：Rabadan,Jorge(Nokia-US/MountainView)
收件人：王玉保10045807;
抄送人：[email-masked];
日 期 ：2021年11月12日 03:43
主 题 ：Re: Re:Questions on draft-sajassi-bess-evpn-ip-aliasing-03

Hi Yubao,

 

Thx

Jorge

 

Hi Jorge,

 

原始邮件

收件人：王玉保10045807;

抄送人：[email-masked];

日 期 ：2021年11月09日 20:23

Hi Yubao,

Please see in-line.

Thanks.

Jorge

 

Hi Jorge,

 

 

 

 

 

[Yubao3] We should note that RFC9136 section 3 is just the route resolution procedures,

         But the use case b of draft-sajassi-bess-evpn-ip-aliasing-03 is a use case including route advertisement, route resolution, data packet forwarding.

         If they are only the same in the route resolution procedures, 

         it will be confusing to treat it as a Bump-in-the-wire Use-Case plus ip-aliasing.

         I still note that the route advertise ment is not clearly discribed in .

         for example, how can we know which ESI should be carried in a RT-5 route?

         This is not described in RFC9136 Bump-in-the-wire use case either, because there is no IP-VRF on NVEs.

         So the route advertisement behavior of draft-sajassi-bess-evpn-ip-aliasing-03 use case b is not clearly defined both in this draft and in RFC9136 Bump-in-the-wire.

[Yubao3] Now we have the common understanding about IP A-D per EVI route. 

         and the RT-1 per EVI route used by Bump-in-the-wire use case is the old Ethernet A-D per EVI route as per [RFC7432].

 

 

[Yubao3] case 1 is section 1.2 of draft-sajassi-bess-evpn-ip-aliasing-03. 

         and case 2 is section 1.3 of draft-sajassi-bess-evpn-ip-aliasing-03. 

         is it correct? 

 

 

        following BGP routes:

           [RFC8365].

           route.

 

[Yubao3] RFC9136's Interface-less mode may use ethernet or IP NVO.

         But the MAC-VRF of RFC7432 can use ethernet NVO only,

         the SBD of interface-ful mode of RFC 9136 will also belong to a MAC-VRF of RFC7432,

         so it can't use IP NVO.

 

 

 

[Yubao3] I think when we refer to a concept of RFC9136, we should let it be in consistence with what it is defined in RFC9136.

         I agree with you in that a RT5 whose label identifies an IP-VRF can use ethernet NVO, 

         but when we talk about interface-ful unumbered mode or bump-in-the-wire, we are talking about a integrated route advertisement behavior, route resolution behavior and data encapsulation behavior, 

         these integration of behaviors are discribed in RFC9136 section 4.4.3 (not section 3), where there isn't an RT5 whose label identifies an IP-VRF.

         if the concept will be used not as how it is used in RFC9136, It will be confusing.

 

[Yubao3] I don't think that draft-sajassi-bess-evpn-ip-aliasing-03 section 3 is not clear,

         I am confused because you have refered (in section 1.2) to some use cases of RFC9136, which has different route advertisement behavior of that section.

         The basic difference between IP A-D per EVI route and old Ethernet A-D per EVI route is their route-targets.

         But the use cases you have refered to are different from that section in their route-target assignment too.

         Maybe you just want to refer to the route rosolution procedures, not the use case,

         if this is correct, I think it will be better to refer to RFC9136 section 3 instead of Bump-in-the-wire or Interface-ful unnumbered mode.

 

Thanks,

Yubao

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Fri, 12 Nov 2021 13:09:11 +0000

Hi Yubao,

Thanks for taking the time to respond.
It sounds like you are arguing that the reference to bump-in-the-wire in this draft is confusing. I’m personally ok to remove it for the next version if it helps.
Although it should already be there, I’ll make sure it is clear that the document addresses symmetric IRB (RFC9135) and interface-less model (RFC9136) only.

Thanks.
Jorge

Date: Friday, November 12, 2021 at 7:16 AM

Hi Jorge,

Thanks

Yubao

原始邮件

Thx
Jorge

Hi Jorge,

原始邮件

Please see in-line.
Thanks.
Jorge

Hi Jorge,

         is it correct?

        following BGP routes:

           [RFC8365].

           route.

         so it can't use IP NVO.

Thanks,

Yubao

---

From: <[email-masked]>
Date: Sat, 13 Nov 2021 10:55:48 +0800 (CST)

Hi Jorge,

Thanks for your response.

If the use case b's route advertisement details are clearly described, It will not be confusing just because of what it is called.

It is confusing just because its own RT-5 route advertisement is not clear while the refered route advertisement and the route advertisement of other two use cases (a and c) are both not suitable for it.

Thanks

Yubao

原始邮件

日 期 ：2021年11月13日 03:00

Hi Yubao,

 

Thanks.

Jorge

 

 

Hi Jorge,

 

Thanks

Yubao

原始邮件

收件人：王玉保10045807;

抄送人：[email-masked];

日 期 ：2021年11月12日 03:43

Hi Yubao,

 

Thx

Jorge

 

Hi Jorge,

 

原始邮件

收件人：王玉保10045807;

抄送人：[email-masked];

日 期 ：2021年11月09日 20:23

Hi Yubao,

Please see in-line.

Thanks.

Jorge

 

Hi Jorge,

 

 

 

 

 

 

 

 

 

 

         is it correct? 

 

 

        following BGP routes:

           [RFC8365].

           route.

 

         so it can't use IP NVO.

 

 

 

 

         

 

 

Thanks,

Yubao

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thu, 18 Nov 2021 11:59:55 +0000

Hi Yubao,

We’ll try to clarify further in the next revision, but I hope the three use cases and procedures are clear now.
Thanks for the feedback.

Jorge

Date: Saturday, November 13, 2021 at 3:56 AM

Hi Jorge,

Thanks

Yubao

原始邮件

Thanks.
Jorge

Hi Jorge,

Thanks

Yubao

原始邮件

Thx
Jorge

Hi Jorge,

原始邮件

Please see in-line.
Thanks.
Jorge

Hi Jorge,

         is it correct?

        following BGP routes:

           [RFC8365].

           route.

         so it can't use IP NVO.

Thanks,

Yubao